osgShadow::ViewDependentShadowMap::ViewDependentData Class Reference

`#include <ViewDependentShadowMap>`

Inheritance diagram for osgShadow::ViewDependentShadowMap::ViewDependentData:

## Public Member Functions

| ViewDependentData (ViewDependentShadowMap *vdsm)
const ViewDependentShadowMap * | getViewDependentShadowMap () const
LightDataList & | getLightDataList ()
ShadowDataList & | getShadowDataList ()
osg::StateSet * | getStateSet ()
virtual void | releaseGLObjects (osg::State *=0) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~ViewDependentData ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

ViewDependentShadowMap * | _viewDependentShadowMap
osg::ref_ptr< osg::StateSet > | _stateset
LightDataList | _lightDataList
ShadowDataList | _shadowDataList
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Constructor & Destructor Documentation

## ViewDependentData()

osgShadow::ViewDependentShadowMap::ViewDependentData::ViewDependentData | ( | ViewDependentShadowMap * | vdsm | ) |

References osgShadow::ViewDependentShadowMap::ViewDependentShadowMap().

## ~ViewDependentData()

virtual osgShadow::ViewDependentShadowMap::ViewDependentData::~ViewDependentData | ( |  | ) |

inline protected virtual

## Member Function Documentation

## getLightDataList()

LightDataList & osgShadow::ViewDependentShadowMap::ViewDependentData::getLightDataList | ( |  | ) |

inline

References _lightDataList.

## getShadowDataList()

ShadowDataList & osgShadow::ViewDependentShadowMap::ViewDependentData::getShadowDataList | ( |  | ) |

inline

References _shadowDataList.

## getStateSet()

osg::StateSet * osgShadow::ViewDependentShadowMap::ViewDependentData::getStateSet | ( |  | ) |

inline

References _stateset.

## getViewDependentShadowMap()

const ViewDependentShadowMap * osgShadow::ViewDependentShadowMap::ViewDependentData::getViewDependentShadowMap | ( |  | ) | const

inline

References _viewDependentShadowMap, and osgShadow::ViewDependentShadowMap::ViewDependentShadowMap().

## releaseGLObjects()

virtual void osgShadow::ViewDependentShadowMap::ViewDependentData::releaseGLObjects | ( | osg::State * | = 0 | ) | const

virtual

## Member Data Documentation

## _lightDataList

LightDataList osgShadow::ViewDependentShadowMap::ViewDependentData::_lightDataList

protected

Referenced by getLightDataList().

## _shadowDataList

ShadowDataList osgShadow::ViewDependentShadowMap::ViewDependentData::_shadowDataList

protected

Referenced by getShadowDataList().

## _stateset

osg::ref_ptr<osg::StateSet> osgShadow::ViewDependentShadowMap::ViewDependentData::_stateset

protected

Referenced by getStateSet().

## _viewDependentShadowMap

ViewDependentShadowMap* osgShadow::ViewDependentShadowMap::ViewDependentData::_viewDependentShadowMap

protected

Referenced by getViewDependentShadowMap().

The documentation for this class was generated from the following file:

- ViewDependentShadowMap